Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields | Static Public Attributes
proofs::ZkProof< Field > Struct Template Reference
Collaboration diagram for proofs::ZkProof< Field >:
[legend]

## Public Types
typedef Field::Elt | Elt

## Public Member Functions
| ZkProof (const Circuit< Field > &c, size_t rate, size_t req)
| ZkProof (const Circuit< Field > &c, size_t rate, size_t req, size_t block_enc)
size_t | size () const
void | write (std::vector< uint8_t > &buf, const Field &F) const
bool | read (ReadBuffer &buf, const Field &F)
void | write_sc_proof (const Proof< Field > &pr, std::vector< uint8_t > &buf, const Field &F) const
void | write_com (const LigeroCommitment< Field > &com0, std::vector< uint8_t > &buf, const Field &F) const
void | write_com_proof (const LigeroProof< Field > &pr, std::vector< uint8_t > &buf, const Field &F) const

## Data Fields
const Circuit< Field > & | c
Proof< Field > | proof
LigeroParam< Field > | param
LigeroCommitment< Field > | com
LigeroProof< Field > | com_proof

## Static Public Attributes
static constexpr size_t | kMaxRunLen = (1 << 25)
static constexpr size_t | kMaxNumDigests = (1 << 25)

The documentation for this struct was generated from the following file:

- lib/zk/zk_proof.h